> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve patient profile



## OpenAPI

````yaml get /profiles/v1/patient/{oid}
openapi: 3.0.3
info:
  title: Patient APIs
  description: Patient Directory CRUD
  version: 1.0.0
servers:
  - url: https://api.eka.care
security: []
paths:
  /profiles/v1/patient/{oid}:
    get:
      tags:
        - Patient
      summary: Retrieve patient profile
      parameters:
        - in: header
          name: client-id
          required: true
          schema:
            type: string
            example: EC_1431
        - in: path
          name: oid
          required: true
          schema:
            type: string
            example: 18661861868168
      responses:
        '200':
          description: Patient profile details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PatientProfile'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400Error'
        '500':
          description: Server error
      security:
        - bearerAuth: []
components:
  schemas:
    PatientProfile:
      type: object
      properties:
        oid:
          type: string
          example: '175074536120088'
        wid:
          type: string
          example: '77088166996724'
        ps:
          type: string
          example: P
        c_ate:
          type: integer
          example: 1750745358
        u_ate:
          type: integer
          example: 1750745358
        gen:
          type: string
          example: M
        dob:
          type: string
          format: date
          example: '2000-01-02'
        is_age:
          type: boolean
          example: true
        fn:
          type: string
          example: Eka
        ln:
          type: string
          example: User
        fln:
          type: string
          example: Eka User
        bg:
          type: string
          example: B+
        mobile:
          type: string
          example: '1201201201'
        ccd:
          type: string
          example: '+91'
        email:
          type: string
          format: email
          example: eka.user@example.com
        username:
          type: string
          example: ABC001
        s:
          type: string
          example: Mr.
        abha:
          type: string
          example: example@abdm
    400Error:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Invalid Gender Enum
            code:
              type: string
              example: invalid_request
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````